// 1. Описати своїми словами навіщо потрібні функції у програмуванні.
// Функції потрібні щоб не дублювати код, один раз написав, а потім просто викликаєш її в потрібному місці. Також це голочні будівельні конструкції коду.

// 2. Описати своїми словами, навіщо у функцію передавати аргумент.
// Для того щоб присвоїти значення параметрам функції.

// 3. Що таке оператор return та як він працює всередині функції?
// Цей оператор повертає результат функції. Також він може зупиняти функцію.

// Реалізувати функцію, яка виконуватиме математичні операції з введеними користувачем числами. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// Технічні вимоги:
// Отримати за допомогою модального вікна браузера два числа.
// Отримати за допомогою модального вікна браузера математичну операцію, яку потрібно виконати. Сюди може бути введено +, -, *, /.
// Створити функцію, в яку передати два значення та операцію.
// Вивести у консоль результат виконання функції.

let firstNumber = +prompt("Введи перше число");
let secondNumber = +prompt("Введи друге число");
let operation = prompt("Введи математичну операцію");
function showReultOperation(firstNumber, secondNumber, operation) {
  let result;
  switch (operation) {
    case "+":
      result = firstNumber + secondNumber;
      break;
    case "-":
      result = firstNumber - secondNumber;
      break;
    case "*":
      result = firstNumber * secondNumber;
      break;
    case "/":
      result = firstNumber / secondNumber;
      break;
  }
  return result;
};

console.log(showReultOperation(firstNumber, secondNumber, operation));
